Debian Bug report logs - #477815
live-helper: "rescue" config includes i386-only package pstack on amd64

version graph

Package: live-helper; Maintainer for live-helper is Debian Live Project <debian-live@lists.debian.org>;

Reported by: Marcus Better <marcus@better.se>

Date: Fri, 25 Apr 2008 13:18:01 UTC

Severity: normal

Found in version live-helper/1.0~a43-1

Fixed in version live-helper/1.0~a46-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Marcus Better <marcus@better.se>, Debian Live <debian-live-maint@lists.alioth.debian.org>:
Bug#477815; Package live-helper. Full text and rfc822 format available.

Acknowledgement sent to Marcus Better <marcus@better.se>:
New Bug report received and forwarded. Copy sent to Marcus Better <marcus@better.se>, Debian Live <debian-live-maint@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Marcus Better <marcus@better.se>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-helper: "rescue" config includes i386-only package pstack on amd64
Date: Fri, 25 Apr 2008 15:17:13 +0200
Package: live-helper
Version: 1.0~a43-1
Severity: normal

The "rescue" list includes the package pstack which is only available
on i386. When building an image for amd64, this leads to the following error:

E: Couldn't find package pstack

Suggest that packages that don't exist on the current arch should be excluded automatically.

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (990, 'testing'), (300, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.24-quartic (SMP w/4 CPU cores)
Locale: LANG=sv_SE.UTF-8, LC_CTYPE=sv_SE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages live-helper depends on:
ii  cdebootstrap                  0.4.9      Bootstrap a Debian system
ii  debootstrap                   1.0.8      Bootstrap a basic Debian system

live-helper recommends no packages.

-- no debconf information




Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Marcus Better <marcus@better.se>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #10 received at 477815-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 477815-close@bugs.debian.org
Subject: Bug#477815: fixed in live-helper 1.0~a46-1
Date: Mon, 28 Apr 2008 16:02:56 +0000
Source: live-helper
Source-Version: 1.0~a46-1

We believe that the bug you reported is fixed in the latest version of
live-helper, which is due to be installed in the Debian FTP archive:

live-helper_1.0~a46-1.diff.gz
  to pool/main/l/live-helper/live-helper_1.0~a46-1.diff.gz
live-helper_1.0~a46-1.dsc
  to pool/main/l/live-helper/live-helper_1.0~a46-1.dsc
live-helper_1.0~a46-1_all.deb
  to pool/main/l/live-helper/live-helper_1.0~a46-1_all.deb
live-helper_1.0~a46.orig.tar.gz
  to pool/main/l/live-helper/live-helper_1.0~a46.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 477815@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-helper package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 28 Apr 2008 00:00:00 +0200
Source: live-helper
Binary: live-helper
Architecture: source all
Version: 1.0~a46-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live <debian-live-maint@lists.alioth.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-helper - Debian Live build scripts
Closes: 477815 478273
Changes: 
 live-helper (1.0~a46-1) unstable; urgency=low
 .
   [ Tiago Bortoletto Vaz ]
   * Support list of items for conditionals in package lists
   * Fixed minor typographical error in rescue flavor file.
   * Improving rescue flavor: added a set of missing tools, mainly for
     file system
 .
   [ Chris Lamb ]
   * Only install pstack on i386 (Closes: #477815)
   * Support simple conditionals in package lists (Closes: #478273)
   * Use APT::Install-Recommends to disable installation of recommends
     for Etch
 .
   [ Daniel Baumann ]
   * Adding netboot tarballs and plain squashfs images to images build
     script.
   * Adding powerpc64 to default kernel flavours (in addition to the
     normal 32 bit one).
   * Adjusting obtaining of the date string in snapshots.sh to new git
     log date format.
   * Updating Richards email address.
   * Producing rsyncable tarballs where possible.
   * Also taking mirrors from environment in image.sh.
   * Taking config variables for images.sh from environment.
   * Handling sourceless builds in images.sh.
   * Removing old cron example scripts for image building, they are
     obsoleted by images.sh.
   * Updating live-magic git location.
   * Getting architecture dynamically in images cron script.
   * Correcting permissions in snapshot script.
Checksums-Sha1: 
 d49697af26b043e51914c741cd74e5aeb4dac008 1258 live-helper_1.0~a46-1.dsc
 90e68f1fc997bc8f7eca6a495a9ee14db6b05797 1940812 live-helper_1.0~a46.orig.tar.gz
 057b72cd518d8986afe40515a55f21281df5d33f 13809 live-helper_1.0~a46-1.diff.gz
 a365cd5215e5635395a09afe54c0bdc6a5f00259 1884222 live-helper_1.0~a46-1_all.deb
Checksums-Sha256: 
 2539a8b49b6af9e9f8b6a1aac68ef3fc5f773b4f73290afc8819bf5cb2e110ca 1258 live-helper_1.0~a46-1.dsc
 193fad55132b224a95ddc31fc12f29225897674551e3c2bf02fd6eb89015622c 1940812 live-helper_1.0~a46.orig.tar.gz
 d051df8f6c4192f66b4e83c4ddfd10aa51896ea295c61221b1486517c03d9adb 13809 live-helper_1.0~a46-1.diff.gz
 9177f1a9775efdfdec439c97147799fb7179da26b97dbfda34d6666f26e99f70 1884222 live-helper_1.0~a46-1_all.deb
Files: 
 5162c64c66331e5f8dca84aed9f2d1ac 1258 misc optional live-helper_1.0~a46-1.dsc
 c409032f8d5259b30f037175bc3c0b28 1940812 misc optional live-helper_1.0~a46.orig.tar.gz
 5ad6df3a203a992533cbdc5ba565a9ea 13809 misc optional live-helper_1.0~a46-1.diff.gz
 bf819cb2bb793a8e07d8cb789765999a 1884222 misc optional live-helper_1.0~a46-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFIFfE4+C5cwEsrK54RAtnZAJ45szqNPM3PSQhzWaEaJzR6xg7dCgCfVHrr
rUivUcaYVn/MN8SKAi+ZyrA=
=A1EO
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 02 Jun 2008 07:28:42 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:20:26 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.